%{?nodejs_find_provides_and_requires}

%global packagename to-object-path
%global enable_tests 1

Name:		nodejs-to-object-path
Version:	0.3.0
Release:	1%{?dist}
Summary:	Create an object path from a list or array of strings

License:	MIT
URL:		https://github.com/jonschlinkert/to-object-path
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Release not tagged in Github, pulling from master instead
Source1:	https://raw.githubusercontent.com/jonschlinkert/to-object-path/master/test.js
Source2:	https://raw.githubusercontent.com/jonschlinkert/to-object-path/master/example.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(kind-of)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Create an object path from a list or array of strings.


%prep
%autosetup -n package
# setup the tests and examples
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md example.js
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-1
- Initial packaging
